Subject: Re: [Lsr] "OSPF Routing with Cross-Address Family Traffic Engineering Tunnels" - draft-ietf-ospf-xaf-te-05

From: Alexander Okonnikov <[email-masked]>
Date: Fri, 8 Feb 2019 13:25:34 +0300

Hi Acee,

For me current version doesn't change the solution. My comments are follow:

1.  Introduction

"TE Extensions to OSPFv2 [RFC3630] and OSPFv3 [RFC5329] have been described to support intra-area TE in IPv4 and IPv6 networks, respectively.  In both cases, the TE database provides a tight coupling between the routed protocol and advertised TE signaling information.  In other words, any use of the TE link state database is limited to IPv4 for OSPFv2 [RFC2328] and IPv6 for OSPFv3 [RFC5340]."

What is meant for "routed protocol"? Is it passenger protocol of RSVP-TE LSPs, protocol used as a transport for RSVP signaling, protocol for which OSPFv2/OSPFv3 calculate routes?  What does mean "TEDB is limited to IPv4/IPv6"? Is it limited to choose IPv4/IPv6 as a transport for RSVP-TE LSP signaling?

"For example, an LSP created based on MPLS TE information propagated by an OSPFv2 instance can be used to transport both IPv4 and IPv6 traffic, as opposed to using both OSPFv2 and OSPFv3 to provision a separate LSP for each address family."

An LSP created based on TEDB from OSPFv2 can be used to transport IPv4 and IPv6 without extensions, proposed in the draft. We are not obligated to signal RSVP-TE LSPs from OSPFv2 TEDB for IPv4 traffic and other RSVP-TE LSPs from OSPFv3 TEDB for IPv6 traffic. RSVP-TE LSPs signaled based on TEDB from either - OSPFv2 or OSPFv3 - can be used for transport either - IPv4 or IPv6 - traffic. I.e. payload of RSVP-TE LSP and transport protocol for its signaling are not obligated to be the same. I guess that authors meant that an LSP, based on MPLS TE from OSPFv2, can be used for calculation of shortcuts by OSPFv2, and not by OSPFv3.

Authors provide description of possible solution with common Router ID. I propose similar solution with advertising both Router IDs (OSPFv2 and OSPFv3) in both instances (OSPFv2 and OSPFv3). Latter overcomes issues with correctness of configuration and out of sync. Also, I don't understand how can possible solution with common Router ID have problem with different placement of ABRs in OSPFv2 and OSPFv3. We are talking about intra-area LSPs, hence tail-end router should be within area in both instances.

3.  Operation

"A node that implements X-AF routing SHOULD advertise, in the corresponding Node Local Address sub-TLV, all X-AF IPv4 and IPv6 addresses local to the router that can be used by Constrained SPF (CSPF) to calculate MPLS TE LSPs."

From section 1 we assume that X-AF is used for calculation of shortcuts. Why does the draft say here about calculation of TE LSPs by CSPF?

"If the Node Attribute TLV carries both the Node IPv4 Local Address sub-TLV and the Node IPv6 Local Address sub-TLV, then the X-AF component MUST be considered for the consolidated calculation of MPLS TE LSPs."

The same.

Thanks.

> 31 янв. 2019 г., в 2:03, Acee Lindem (acee) <[email-masked]> написал(а):
> 
> Hi Gunter, Alex, Ketan, 
> I hoping everyone who commenting on the previous version is happy with the version. I’m extending the WG last call another week to see if we have any objections to this version.
> Thanks,
> Acee
>  
> From: Lsr <[email-masked] <mailto:[email-masked]>> on behalf of Acee Lindem <[email-masked] <mailto:[email-masked]>>
> Date: Monday, January 7, 2019 at 11:47 AM
> To: "[email-masked] <mailto:[email-masked]>" <[email-masked] <mailto:[email-masked]>>
> Cc: "[email-masked] <mailto:[email-masked]>" <[email-masked] <mailto:[email-masked]>>
> Subject: [Lsr] "OSPF Routing with Cross-Address Family Traffic Engineering Tunnels" - draft-ietf-ospf-xaf-te-05
>  
> This begins an LSR WG last call for the subject draft. Please send your
> comments to this list prior to 12:00 AM GMT, January 22nd, 2019.
>  
> Note that the second IPR poll was completed in December.
>  
> Thanks,
> Acee

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Fri, 22 Feb 2019 10:17:54 +0000

Hi All,

The updates to the version 05 of the draft largely address my comments.

Please check inline below for some further comments.

From: Alexander Okonnikov <[email-masked]>
Sent: 08 February 2019 15:56
To: Acee Lindem (acee) <[email-masked]>
Cc: [email-masked]; [email-masked]; Gunter Van de Velde <[email-masked]>; Ketan Talaulikar (ketant) <[email-masked]>
Subject: Re: [Lsr] "OSPF Routing with Cross-Address Family Traffic Engineering Tunnels" - draft-ietf-ospf-xaf-te-05

Hi Acee,

1.  Introduction

What is meant for "routed protocol"?
[KT] I believe this should be “routing protocol”?
Is it passenger protocol of RSVP-TE LSPs, protocol used as a transport for RSVP signaling, protocol for which OSPFv2/OSPFv3 calculate routes?  What does mean "TEDB is limited to IPv4/IPv6"? Is it limited to choose IPv4/IPv6 as a transport for RSVP-TE LSP signaling?

An LSP created based on TEDB from OSPFv2 can be used to transport IPv4 and IPv6 without extensions, proposed in the draft. We are not obligated to signal RSVP-TE LSPs from OSPFv2 TEDB for IPv4 traffic and other RSVP-TE LSPs from OSPFv3 TEDB for IPv6 traffic. RSVP-TE LSPs signaled based on TEDB from either - OSPFv2 or OSPFv3 - can be used for transport either - IPv4 or IPv6 - traffic. I.e. payload of RSVP-TE LSP and transport protocol for its signaling are not obligated to be the same. I guess that authors meant that an LSP, based on MPLS TE from OSPFv2, can be used for calculation of shortcuts by OSPFv2, and not by OSPFv3.
[KT] Yes. I believe the authors are referring to limitations in use of IGP shortcuts across AFs.

Authors provide description of possible solution with common Router ID. I propose similar solution with advertising both Router IDs (OSPFv2 and OSPFv3) in both instances (OSPFv2 and OSPFv3). Latter overcomes issues with correctness of configuration and out of sync. Also, I don't understand how can possible solution with common Router ID have problem with different placement of ABRs in OSPFv2 and OSPFv3. We are talking about intra-area LSPs, hence tail-end router should be within area in both instances.
[KT] Using common Router IDs and advertising across each AFs is an option, but personally, I find the use of Node Attribute TLV provides better flexibility.

Thanks,
Ketan

3.  Operation

The same.

Thanks.

31 янв. 2019 г., в 2:03, Acee Lindem (acee) <[email-masked]<mailto:[email-masked]>> написал(а):

Hi Gunter, Alex, Ketan,

From: Lsr <[email-masked]<mailto:[email-masked]>> on behalf of Acee Lindem <[email-masked]<mailto:[email-masked]>>
Date: Monday, January 7, 2019 at 11:47 AM
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: [Lsr] "OSPF Routing with Cross-Address Family Traffic Engineering Tunnels" - draft-ietf-ospf-xaf-te-05

Thanks,
Acee

---

From: Anton Smirnov <[email-masked]>
Date: Wed, 27 Feb 2019 22:31:38 +0100

Hi Alexander,
    see some answers inline.

---
Anton

On 02/08/19 11:25, Alexander Okonnikov wrote:
> "TE Extensions to OSPFv2 [RFC3630] and OSPFv3 [RFC5329] have been 
> described to support intra-area TE in IPv4 and IPv6 networks, 
> respectively.  In both cases, the TE database provides a tight coupling 
> between the routed protocol and advertised TE signaling information.  In 
> other words, any use of the TE link state database is limited to IPv4 
> for OSPFv2 [RFC2328] and IPv6 for OSPFv3 [RFC5340]."
> 
> What is meant for "routed protocol"? Is it passenger protocol of RSVP-TE 
> LSPs, protocol used as a transport for RSVP signaling, protocol for 
> which OSPFv2/OSPFv3 calculate routes?

"Routed protocol" here refers to "protocol for which OSPFv2/OSPFv3 
calculate routes".
Words "routed protocol" signify protocol that is subject of somebody's 
action, so this wording should exclude options like "protocol used as a 
transport for RSVP signaling" (here protocol is object, not subject).

 >  What does mean "TEDB is limited
 > to IPv4/IPv6"? Is it limited to choose IPv4/IPv6 as a transport for
 > RSVP-TE LSP signaling?

Among other things selection of [RFC3630] versus [RFC5329] defines if 
IPv4 or IPv6 will be used as a transport for RSVP-TE LSP signaling. But 
not limited to only this, all other IPv4 vs IPv6 selections become 
predefined. As it is written in the draft, currently there exists "a 
tight coupling between the routed protocol and advertised TE signaling 
information".

> 
> "For example, an LSP created based on MPLS TE information propagated by 
> an OSPFv2 instance can be used to transport both IPv4 and IPv6 traffic, 
> as opposed to using both OSPFv2 and OSPFv3 to provision a separate LSP 
> for each address family."
> 
> An LSP created based on TEDB from OSPFv2 can be used to transport IPv4 
> and IPv6 without extensions, proposed in the draft. We are not obligated 
> to signal RSVP-TE LSPs from OSPFv2 TEDB for IPv4 traffic and other 
> RSVP-TE LSPs from OSPFv3 TEDB for IPv6 traffic. RSVP-TE LSPs signaled 
> based on TEDB from either - OSPFv2 or OSPFv3 - can be used for transport 
> either - IPv4 or IPv6 - traffic. I.e. payload of RSVP-TE LSP and 
> transport protocol for its signaling are not obligated to be the same. I 
> guess that authors meant that an LSP, based on MPLS TE from OSPFv2, can 
> be used for calculation of shortcuts by OSPFv2, and not by OSPFv3.
> 

Correct. Both the description of what protocol can go over what tunnel 
and interpretation of the text are correct.

> 3.  Operation
> 
> "A node that implements X-AF routing SHOULD advertise, in the 
> corresponding Node Local Address sub-TLV, all X-AF IPv4 and IPv6 
> addresses local to the router that can be used by Constrained SPF (CSPF) 
> to calculate MPLS TE LSPs."
> 
>  From section 1 we assume that X-AF is used for calculation of 
> shortcuts. Why does the draft say here about calculation of TE LSPs by CSPF?
> 

CSPF as part of the whole procedure computing MPLS TE path among other 
things is defined in terms what IP addresses it uses to define tunnel 
tail-end. Reference to the CSPF is made to define set of IP addresses 
that would be of interest to X-AF algorithm.

---
Anton